try:
    from gym.envs.registration import register
except ImportError as e:
    raise Exception('OpenAI gym not installed, you should install wumpus package with [gym] feature.') from e


register(
    id='wumpus-v0',
    entry_point='gym_wumpus.envs:wumpusenv_from_dict',
    max_episode_steps=1000,
    nondeterministic=False,
    kwargs={
        'desc': {
            "id": "wumpus-v0",
            "size": [6, 6],
            "hunters": [[0, 0, "N"]],
            "pits": [[0, 5], [5, 1], [3, 1], [3, 3], [2, 2], [4, 3], [3, 5]],
            "wumpuses": [[5, 4]],
            "golds": [[5, 3]]
        }
    }
)


register(
    id='wumpus-random-v0',
    entry_point='gym_wumpus.envs:wumpusenv_classic',
    max_episode_steps=1000,
    nondeterministic=True
)


register(
    id='wumpus-custom-v0',
    entry_point='gym_wumpus.envs:wumpusenv_from_dict',
    max_episode_steps=1000,
    nondeterministic=False
)
